Bug 609892 - [abrt] crash in qemu-system-x86-2:0.12.3-8.fc13: inet_listen_opts: Process /usr/bin/qemu-kvm was killed by signal 11 (SIGSEGV)
[abrt] crash in qemu-system-x86-2:0.12.3-8.fc13: inet_listen_opts: Process /u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
abrt_hash:c05c1040b198a06bb79ae23e71b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 06:55 EDT by johnandtina
Modified: 2013-01-09 06:36 EST (History)
13 users (show)

See Also:
Fixed In Version: seabios-0.6.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 17:08:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.85 KB, text/plain)
2010-07-01 06:55 EDT, johnandtina
no flags Details

  None (edit)
Description johnandtina 2010-07-01 06:55:39 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: qemu-kvm -m 512 -drive file=/dev/mapper/VolGroup-lv_virt_golden,if=virtio -kernel boot-virt/vmlinuz-2.6.33.3-85.fc13.x86_64 -initrd boot-virt/initramfs-2.6.33.3-85.fc13.x86_64.img -append 'ro root=/dev/mapper/VolGroup-lv_root rd_LVM_LV=VolGroup/lv_root rd_LVM_LV=VolGroup/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us 3' -curses -curses -chardev socket,id=console,port=4444,server,telnet -mon chardev=console
component: qemu
crash_function: inet_listen_opts
executable: /usr/bin/qemu-kvm
global_uuid: c05c1040b198a06bb79ae23e71b02c52d4b26ac0
kernel: 2.6.33.5-124.fc13.x86_64
package: qemu-system-x86-2:0.12.3-8.fc13
rating: 4
reason: Process /usr/bin/qemu-kvm was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Program received signal SIGSEGV, Segmentation fault.
0x00000000004b19c8 in inet_listen_opts (opts=0x23bfd90, port_offset=0)
    at qemu-sockets.c:149
149         rc = getaddrinfo(strlen(addr) ? addr : NULL, port, &ai, &res);

(gdb) p addr
$1 = 0x0

Docs say 'host=' is optional, should default to '0.0.0.0' for server.

How to reproduce
-----
1. use -chardev socket,...,server  without host=
Comment 1 johnandtina 2010-07-01 06:55:47 EDT
Created attachment 428276 [details]
File: backtrace
Comment 2 Amit Shah 2010-07-01 07:23:45 EDT
Fixed in commit e1f0c1d05d3f96c7471cca1a6991b63574e00b52 upstream
Comment 3 Fedora Update System 2010-08-18 10:02:42 EDT
seabios-0.6.0-1.fc13,gpxe-1.0.1-1.fc13,qemu-0.12.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seabios-0.6.0-1.fc13,gpxe-1.0.1-1.fc13,qemu-0.12.5-1.fc13
Comment 4 Fedora Update System 2010-08-19 22:16:43 EDT
seabios-0.6.0-1.fc13, gpxe-1.0.1-1.fc13, qemu-0.12.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update seabios gpxe qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/seabios-0.6.0-1.fc13,gpxe-1.0.1-1.fc13,qemu-0.12.5-1.fc13
Comment 5 Fedora Update System 2010-08-24 17:07:46 EDT
seabios-0.6.0-1.fc13, gpxe-1.0.1-1.fc13, qemu-0.12.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.